﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

public class EmployeeController: Controller
{
    public ActionResult EmployeeView()
    {
        List<EmployeeModel> items = new List<EmployeeModel>();
        items.Add(new EmployeeModel(100, "Tom"));
        items.Add(new EmployeeModel(200, "Jerry"));
        return View(items);
    }

    public ActionResult List()
    {
        List<EmployeeModel> items = new List<EmployeeModel>();
        items.Add(new EmployeeModel(100, "Tom"));
        items.Add(new EmployeeModel(200, "Jerry"));
        ViewData["employeelist"] = items;
        return View("~/EmployeeView0.aspx");
    }

    public ActionResult ListStronglyTyped()
    {
        List<EmployeeModel> items = new List<EmployeeModel>();
        items.Add(new EmployeeModel(100, "Tom"));
        items.Add(new EmployeeModel(200, "Jerry"));
        return View("~/EmployeeView1.aspx",items);
    }

    [AcceptVerbs(HttpVerbs.Post)]
    public ActionResult ListPost(FormCollection collection)
    {
        List<EmployeeModel> items = new List<EmployeeModel>();
        items.Add(new EmployeeModel(100, collection["name1"]));
        items.Add(new EmployeeModel(200, collection["name2"]));
        return View("~/EmployeeView1.aspx", items);
    }

}
